from django.urls import path
from .views import (
    DeviceLogListAPIView,
    DeviceInfoListAPIView,
    DeviceLogStatisticAPIView,
    DeviceInfoStatisticAPIView,
    LogHistoryListAPIView,
    DeviceLogHistoryListAPIView
)


app_name = 'counter-api'
urlpatterns = [
    path('logs/', DeviceLogListAPIView.as_view(), name='logs'),
    path('device/', DeviceInfoListAPIView.as_view(), name='device'),
    path('logs/statistic/', DeviceLogStatisticAPIView.as_view(), name='logs-statistic'),
    path('logs/statistic/history/', LogHistoryListAPIView.as_view(), name='logs-statistic-history'),
    path('device/logs/history/', DeviceLogHistoryListAPIView.as_view(), name='device-logs-history'),
    path('device/statistic/', DeviceInfoStatisticAPIView.as_view(), name='device-statistic'),
]